---
author: "Norbert Tretkowski"
title: "Warum ich CalyxOS nutze"
date: "2024-10-28"
cover: 
  image: "/uploads/2024/calyxos-fp4.jpg"
tags: ['Android', 'CalyxOS', 'FreeYourAndroid', 'LineageOS', 'microG']
---
Unter gefühlt jedem Post im Fediverse, in dem sich jemand zu [CalyxOS](https://calyxos.org/) äußert, egal ob positiv oder negativ, kommt mindestens ein Kommentar, in dem erklärt wird, warum ein anderes Betriebssystem auf Basis von Android doch so viel besser ist.

Um nicht bei jeder erneuten Frage danach, warum ich nicht ein anderes System verwende, wieder bei Null anfangen zu müssen, schreibe ich hier mal auf, warum ich primär CalyxOS nutze und empfehle, um dann nur noch mit dem Link zu diesem Artikel antworten zu können.

### Support für Fairphones

Ich nutze aktuell mehrere Android-Geräte parallel (privat und beruflich), darunter seit Ende 2021 auch ein [Fairphone 4](https://www.fairphone.com/de/2021/09/30/fairphone-4/). CalyxOS ist für alle von mir verwendeten Android-Geräte verfügbar und wenn ich die Möglichkeit habe, meine Geräte einheitlich einzurichten, dann tue ich das. Ja, ich bin mir der Probleme, gerade was das Thema Sicherheit angeht, bei Fairphone durchaus bewusst und kritisiere das auch regelmäßig.

Bei Gelegenheit verfasse ich dazu auch noch einen separaten Artikel.

Ich bin mir auch darüber bewusst, dass es Systeme gibt, bei denen Updates noch schneller geliefert werden als bei CalyxOS, gerade wenn es um das Update auf eine neue Android-Version geht. Stand heute gibt es [CalyxOS 6.0](https://calyxos.org/news/2024/10/19/android-15/) auf Basis von Android 15 nur für das Pixel 6a, 7a und 8a, die Pixel 9 Reihe wird von CalyxOS noch gar nicht unterstützt.

DivestOS hat da eine [schöne Aufstellung](https://web.archive.org/web/20241231003546/https://divestos.org/pages/patch_history).

### Support für SHIFTphones

Auch das SHIFTphone 6 wurde einige Zeit von CalyxOS unterstützt, vor kurzem wurde dessen Unterstützung leider eingestellt. Inzwischen ist das SHIFTphone 8 verfügbar und auch das wurde von Anfang unterstützt. In den GitLab Issues von CalyxOS arbeiten auch Mitarbeitende von SHIFT mit.

### microG vorinstalliert

Das Fairphone 4 nutze ich im Gegensatz zu den anderen Geräten mit aktiviertem [microG](https://microg.org/). Das ist nötig, weil ich auf dem Gerät Apps nutze, die Push Benachrichtigungen über FCM ([Firebase Cloud Messaging](https://firebase.google.com/docs/cloud-messaging?hl=de)) erhalten und/oder Karten via Google Maps API darstellen wollen. Die Apps zur Buchung der Shuttles von [SMILE24](https://www.nah.sh/de/themen/neuigkeiten/start-fuer-smile24/) oder der Leihfahrräder der Sprottenflotte in Kiel funktionieren ohne Google Maps API beispielsweise gar nicht. Als leidgeprüfter Bahn-Vielfahrer bin ich auch über die zeitnahen Push-Benachrichtigungen des DB Navigators dankbar, um kurzfristig umplanen zu können.

Auch hier bin ich mir der Problematik des mit priviligierten Rechten laufenden microG und dem nötigen [Signature Spoofing](https://github.com/microg/GmsCore/wiki/Signature-Spoofing) durchaus bewusst, halte es aber für das kleinere Übel, verglichen damit, die proprietären Google Play Dienste im Hintergrund laufen zu lassen.

### Hotspot Nutzung des VPNs

CalyxOS erlaubt die Nutzung des auf dem Smartphone verbundenen VPNs auch für per WLAN Hotspot verbundene Clients. Das Feature hat es inzwischen auch in LineageOS geschafft.

Früher hatte ich auf Reisen immer einen mobilen WLAN Hotspot dabei, inzwischen nutze ich dafür das Smartphone, was gerade im Ausland die Nutzung der Mediatheken der Öffentlich Rechtlichen Sender auf allen damit verbundenen Geräten vereinfacht.

Im Gegensatz zu iOS kann Android auch als WLAN Repeater fungieren, d.h. das Android Gerät ist mit dem WLAN in z.B. der Ferienwohnung verbunden und stellt allen mit dem Android Gerät über dessen Hotspot Feature verbundenen Geräten Internet über VPN über das WLAN der Ferienwohnung zur Verfügung, es müssen also keine mobilen Daten dafür genutzt werden.

### Freundliche Community

Aus der [CalyxOS Community](https://calyxos.org/community/) bisher ich bisher weder beschimpft noch bedroht, im Gegenteil. Da kontaktieren einen die Entwickler auch gerne mal direkt und gehen in die Diskussion darüber, wie etwas besser umgesetzt werden könnte.

### Support für ältere Geräte

Unter den von mir verwendeten Geräten befindet sich derzeit auch noch ein [Pixel 3](https://de.wikipedia.org/wiki/Pixel_3), welches seit November 2018 auf dem Markt ist und inzwischen schon ein paar Jahre auf dem Buckel hat. Stand heute wird dieses noch von CalyxOS mit Updates versorgt, auch wenn mir durchaus bewusst ist, dass sich diese Updates nicht auf die Teile beziehen können, die Google zuliefert, da Google bereits im Oktober 2021 den Support für die Pixel 3 Reihe eingestellt hat.

Der Vollständigkeit halber sei noch erwähnt, dass CalyxOS den Support für die Pixel 3 Reihe wohl mit der Veröffentlichung von CalyxOS 6.0 [einstellen wird](https://calyxos.org/news/2024/10/11/october-security-update2/), ich mich für mein Pixel 3, das ich primär als Navi im Auto verwende, dann wohl doch nach einer Alternative umsehen muss...

### Sperrbarer Bootloader

Es gibt einige populäre mobile Betriebssysteme auf Basis von Android, bei denen sich der Bootloader nach der Installation nicht wieder sperren lässt. Das liegt oft auch daran, dass die Hersteller der Geräte das nicht zulassen, für mich ist das aber ein No-Go auf Geräten, auf denen sich personenbezogene Daten von meinen Kontakten und mir befinden.

CalyxOS beispielsweise hat nach einer entsprechenden [Änderung von OnePlus](https://calyxos.org/news/2022/07/06/oneplus-android-12-relock-issue/) mit der Veröffentlichung von Android 12 den Support für deren Geräte eingestellt.

### Warum überhaupt Android?

Android ist das einzige derzeit verfügbare Betriebssystem für Smartphones, das sowohl unter einer freien Lizenz steht (es heißt nicht umsonst [Android Open Source Project](https://source.android.com/)) und das sich auch datenschutzkonform, d.h. ohne permanente Übertragung der Daten vom Smartphone zum Hersteller, nutzen lässt, als auch eins der Systeme, für das die gängigen und inzwischen leider viel zu oft nötigen Apps zur Verfügung gestellt werden.
